Bug 805218 - [abrt] kernel: WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
[abrt] kernel: WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:da0488b78ff9c5613ad9518eaa4...
:
: 805223 805225 805230 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 12:53 EDT by childthefirst
Modified: 2012-04-19 12:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 12:39:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description childthefirst 2012-03-20 12:53:21 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.10-3.fc16.x86_64 root=/dev/mapper/vg_neytiri-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=us rd.lvm.lv=vg_neytiri/lv_root quiet rd.luks.uuid=luks-0a8f95a8-e071-4af3-b512-1f0d1e7ad9f9 rhgb rd.lvm.lv=vg_neytiri/lv_swap SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8
kernel:         3.2.10-3.fc16.x86_64
reason:         WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
time:           Tue 20 Mar 2012 10:28:13 AM CDT

backtrace:
:WARNING: at lib/list_debug.c:53 __list_del_entry+0xa1/0xd0()
:Hardware name: OptiPlex 745                 
:list_del corruption. prev->next should be ffffea00068894a0, but was ffffea000563eca0
:Modules linked in: arc4 ppp_mppe ppp_async crc_ccitt ppp_generic slhc tcp_lp vfat fat serpent twofish_generic twofish_x86_64_3way twofish_x86_64 twofish_common fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 lockd mdio ib_iser rdma_cm fcoe libfcoe ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi libfc scsi_transport_fc scsi_tgt scsi_transport_iscsi 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer tg3 ppdev snd i2c_i801 parport_pc serio_raw iTCO_wdt joydev uinput soundcore sunrpc snd_page_alloc dcdbas parport iTCO_vendor_support microcode xts gf128mul dm_crypt usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 7667, comm: ld Tainted: G        W    3.2.10-3.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106e72f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106e826>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff812cc441>] __list_del_entry+0xa1/0xd0
: [<ffffffff812cc481>] list_del+0x11/0x40
: [<ffffffff811277e4>] __activate_page+0x84/0x190
: [<ffffffff81127650>] ? pagevec_move_tail+0x40/0x40
: [<ffffffff81127760>] ? ____pagevec_lru_add_fn+0x110/0x110
: [<ffffffff811275a6>] pagevec_lru_move_fn+0xa6/0xf0
: [<ffffffff81127f0b>] lru_add_drain+0x8b/0x100
: [<ffffffff81144b11>] unmap_region+0x51/0x130
: [<ffffffff81145849>] ? __split_vma+0x169/0x270
: [<ffffffff81145fa0>] do_munmap+0x250/0x390
: [<ffffffff81147763>] sys_munmap+0x53/0x80
: [<ffffffff815ecac2>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 86f73bfc-0de7-4e0a-b65f-4ea1e42a3361
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5980.35
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) D CPU 3.00GHz
:CPU Stepping: 5
:CPU Family: 15
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 7913
:System Swap: 9951
:Vendor: Dell Inc.
:System: OptiPlex 745 
:Form factor: Space-saving
:Kernel: 3.2.10-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10290:4136:474) pci, uhci_hcd, USB, OptiPlex 745
:(32902:10642:4136:474) pci, i915, VIDEO, 82Q963/Q965 Integrated Graphics Controller
:(32902:10643:4136:474) pci, None, VIDEO, 82Q963/Q965 Integrated Graphics Controller
:(32902:10303:4136:474) pci, pcieport, PCI/PCI, OptiPlex 745
:(32902:10256:0:0) pci, None, PCI/ISA, 82801HB/HR (ICH8/R) LPC Interface Controller
:(32902:10311:4136:474) pci, pcieport, PCI/PCI, OptiPlex 745
:(32902:10315:4136:474) pci, snd_hda_intel, MULTIMEDIA, OptiPlex 745
:(32902:10289:4136:474) pci, uhci_hcd, USB, OptiPlex 745
:(32902:10302:4136:474) pci, i801_smbus, SERIAL, OptiPlex 745
:(32902:9294:4136:474) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10277:4136:474) pci, ata_piix, STORAGE, OptiPlex 745
:(5348:5754:4136:474) pci, tg3, ETHERNET, OptiPlex 745
:(32902:10288:4136:474) pci, uhci_hcd, USB, OptiPlex 745
:(32902:10292:4136:474) pci, uhci_hcd, USB, OptiPlex 745
:(32902:10293:4136:474) pci, uhci_hcd, USB, OptiPlex 745
:(32902:10640:4136:474) pci, agpgart-intel, HOST/PCI, OptiPlex 745
:(32902:10298:4136:474) pci, ehci_hcd, USB, OptiPlex 745
:(32902:10272:4136:474) pci, ata_piix, STORAGE, OptiPlex 745
:(32902:10294:4136:474) pci, ehci_hcd, USB, OptiPlex 745
:(32902:10641:4136:474) pci, pcieport, PCI/PCI, 82Q963/Q965 PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_neytiri-lv_root / ext4 4096 4096 13092922 11635928 11504894 3276800 3146642 3146642
:/dev/sda1 /boot ext4 1024 1024 508745 410469 384869 128016 127738 127738
:/dev/mapper/vg_neytiri-lv_home /home ext4 4096 4096 106191460 103794715 98479336 26583040 26501371 26501371
:/dev/mapper/truecrypt1 WITHHELD vfat 4096 4096 2616284 2554041 2554041 0 0 0
:
Comment 1 Dave Jones 2012-03-20 18:31:24 EDT
*** Bug 805225 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2012-03-20 18:31:33 EDT
*** Bug 805223 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2012-03-20 18:31:47 EDT
*** Bug 805230 has been marked as a duplicate of this bug. ***
Comment 4 Dave Jones 2012-03-20 18:32:50 EDT
the " Tainted: G        W" part shows that something bad happened before this.
Can you look through the logs and see if you can find another warning that has the text 'not tainted' ?

Also, was this after a hibernate/suspend ?

Note You need to log in before you can comment on or make changes to this bug.